Subject: toolchain/17667: gcc emits out-of-date warnings
To: None <>
From: Seebs <>
List: netbsd-bugs
Date: 07/21/2002 00:04:35
>Number:         17667
>Category:       toolchain
>Synopsis:       gcc warns that ANSI doesn't support things ANSI supports
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    toolchain-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sat Jul 20 22:01:00 PDT 2002
>Originator:     Seebs
>Release:        NetBSD 1.6D
System: NetBSD 1.6D NetBSD 1.6D (ALBUM) #0: Tue Jul 16 23:31:34 CDT 2002 i386
Architecture: i386
Machine: i386
	gcc thinks that ANSI C doesn't support "long long".  This has been
	false since 1999.
	Write code using C99 features.
	Probably just disable the warnings for C99 features that are supported
	in NetBSD?